cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/tracks" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.tracks.list("prj_example")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.tracks.list("prj_example");{
"items": [
{
"id": "<string>",
"name": "<string>",
"chapter_id": "<string>",
"volume": 1,
"muted": false,
"readonly": false,
"instances": [
{
"id": "<string>",
"file_id": "<string>",
"position": {
"mode": "fixed",
"frame": 0,
"clip_id": "<string>",
"edge": "start",
"offset": 0
},
"trim_start": 123,
"trim_end": 123,
"effects": {
"speed": 1,
"volume": 1,
"fade_in_seconds": 0,
"fade_out_seconds": 0
},
"length": 123,
"phase": 0,
"envelope_offset": 0,
"envelope_length": 123,
"issues": [
"<string>"
]
}
]
}
],
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
List tracks
List the read-only narration track followed by audio tracks and their instances.
GET
/
v1
/
studio
/
projects
/
{project_id}
/
tracks
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/tracks" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.tracks.list("prj_example")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.tracks.list("prj_example");{
"items": [
{
"id": "<string>",
"name": "<string>",
"chapter_id": "<string>",
"volume": 1,
"muted": false,
"readonly": false,
"instances": [
{
"id": "<string>",
"file_id": "<string>",
"position": {
"mode": "fixed",
"frame": 0,
"clip_id": "<string>",
"edge": "start",
"offset": 0
},
"trim_start": 123,
"trim_end": 123,
"effects": {
"speed": 1,
"volume": 1,
"fade_in_seconds": 0,
"fade_out_seconds": 0
},
"length": 123,
"phase": 0,
"envelope_offset": 0,
"envelope_length": 123,
"issues": [
"<string>"
]
}
]
}
],
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Arrange background audio
Upload files and place them on tracks.
Create an instance
Place audio on a track.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Path Parameters
Studio project ID, such as prj_….

